%define name            jaf
%define version         1.0.2
%define cvs_version     1_0_2-upd
%define release         4jpp
%define section		non-free

Name:           %{name}
Version:        %{version}
Release:        %{release}
Epoch:          0
Summary:        JavaBeans Activation Framework
License:        Sun Binary Code License
Source0:        %{name}-%{cvs_version}.zip
NoSource:	0
Url:            http://java.sun.com/products/javabeans/glasgow/jaf.html
Group:          Development/Libraries/Java
Vendor:		JPackage Project
Distribution:	JPackage
BuildArch:      noarch
BuildRequires:	jpackage-utils >= 0:1.5
BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot

%description
With the JavaBeansTM Activation Framework standard extension,
developers who use JavaTM technology can take advantage of standard
services to determine the type of an arbitrary piece of data,
encapsulate access to it, discover the operations available on it, and
to instantiate the appropriate bean to perform said operation(s). For
example, if a browser obtained a JPEG image, this framework would enable
the browser to identify that stream of data as an JPEG image, and from
that type, the browser could locate and instantiate an object that could
manipulate, or view that image.
The JavaBeans Activation Framework is implemented as a standard
extension. Sun provides a royalty-free reference implementation of the
JAF software, in binary form, that developers can use to develop JAF
technology-enabled applications for any platform that supports the Java
Development Kit (JDKTM) 1.1 software or the JavaTM 2 Standard Edition.

%package manual
Summary:        Manual for %{name}
Group:          Development/Libraries/Java

%description manual
Documentation for %{name}.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
Javadoc for %{name}.

%package demo
Summary:        Demo for %{name}
Requires:       %{name} = %{version}-%{release}
Group:          Development/Libraries/Java

%description demo
Demonstrations and samples for %{name}.

%prep
rm -rf $RPM_BUILD_ROOT
%setup
# fix files perms
chmod -R go=u-w *

%build

%install
# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 activation.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && ln -sf %{name}-%{version}.jar activation.jar)
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)
# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr docs/javadocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
rm -rf docs/javadocs
# data
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -pr demo $RPM_BUILD_ROOT%{_datadir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
    rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%doc LICENSE.txt README.txt RELNOTES.txt
%{_javadir}/*

%files manual
%defattr(0644,root,root,0755)
%doc docs/*

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}

%files demo
%defattr(0644,root,root,0755)
%{_datadir}/%{name}

%changelog
* Wed Jun 02 2004 Paul Nasrat <pauln@truemesh.com> 0:1.0.2-4jpp
- Change source name (thanks Nicolas Ternisien <nicolast@libertysurf.fr>)

* Tue May 06 2003 David Walluck <david@anti-microsoft.org> 0:1.0.2-3jpp
- update for JPackage 1.5

* Wed Mar 12 2003 Nicolas Mailhot <Nicolas.Mailhot@jpackage.org> 1.0.2-2jpp
- For jpackage-utils > 1.5

* Sun Sep 08 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0.2-1jpp
- 1.0.2 (thanks Klaus Stake <Klaus-Dieter.Stake@ePost.de>)
- vendor, distribution, group tags

* Thu Jun 20 2002 Henri Gomez <hgomez@slib.fr> 1.0.1-10jpp
- use sed instead of bash 2.x extension in link area to make spec compatible
  with distro using bash 1.1x

* Fri Apr 05 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0.1-9jpp
- nosrc package
- section macro

* Thu Jan 17 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0.1-8jpp
- spec cleanup

* Fri Jan 11 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0.1-7jpp
- removed useless symlink
- javadoc in %{_javadocdir} again

* Wed Jan 9 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0.1-6jpp
- backward compatibility activation.jar symlink

* Mon Jan 7 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0.1-5jpp
- javadoc back to /usr/share/doc
- no dependencies for manual and javadoc packages
- stricter dependency for demo package
- changed activation.jar name to jaf.jar
- standardised summary

* Fri Dec 7 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0.1-4jpp
- javadoc into javadoc package

* Sun Oct 28 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0.1-3jpp
- first unified release

* Tue Oct 09 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0.1-2mdk
- s/jPackage/JPackage/
- spec cleanup

* Tue Sep 04 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0.1-1mdk
- first Mandrake release
